Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 286385 - dev-python/pygtk-2.16.0-r1 depends on hard masked dev-python/numpy
Summary: dev-python/pygtk-2.16.0-r1 depends on hard masked dev-python/numpy
Status: RESOLVED NEEDINFO
Alias: None
Product: Gentoo/Alt
Classification: Unclassified
Component: Prefix Support (show other bugs)
Hardware: All Interix
: High normal (vote)
Assignee: Gentoo Prefix
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-09-25 11:21 UTC by Sergey Kishchenko
Modified: 2011-12-15 18:16 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
A patch removing dev-python/numpy dependency (pygtk-2.16.0-r1.ebuild.patch,746 bytes, patch)
2009-09-25 11:22 UTC, Sergey Kishchenko
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sergey Kishchenko 2009-09-25 11:21:27 UTC
It's a runtime dependency and AFAIK numpy usage in pygtk is minimal. Workaround: I propose to exclude this dependency from pygtk ebuild on x86-interix. Patch follows.
Comment 1 Sergey Kishchenko 2009-09-25 11:22:11 UTC
Created attachment 205197 [details, diff]
A patch removing dev-python/numpy dependency
Comment 2 Fabian Groffen gentoo-dev 2009-09-25 11:23:15 UTC
sorry to interrupt, but "AFAIK numpy usage in pygtk is minimal" is not a good reason just to drop the dependency, instead of fixing it.
Comment 3 Fabian Groffen gentoo-dev 2009-09-25 11:24:03 UTC
also, dropping a bunch of keywords for no good reason is questionable.
Comment 4 Sergey Kishchenko 2009-09-25 12:04:04 UTC
>sorry to interrupt, but "AFAIK numpy usage in pygtk is minimal" is not a good
reason just to drop the dependency, instead of fixing it.

There is no numpy installed after the bootstrap and there is no ability to install it. And pygtk is already installed and works without numpy. I understand that better fix would be "make pygtk to not use numpy", but for now this workaround can be used to install newer versions of pygtk.

>also, dropping a bunch of keywords for no good reason is questionable.
Sorry, ecopy droped them and I didn't notice it.
Comment 5 Sergey Kishchenko 2009-09-25 12:46:16 UTC
I.e., quick glance on pygtk's setup.py (http://svn.gnome.org/viewvc/pygtk/trunk/setup.py?revision=3122&view=markup) can assure that pygtk has no strict dependency to numpy. And it can be removed even not conditionally.
Comment 6 Markus Duft (RETIRED) gentoo-dev 2009-09-25 14:01:26 UTC
looking at it, i guess the correct one would be to introduce a numpy USE flag (since pygtk obviously can install without numpy), and make the dependency conditional on that flag. also add a use_enable numpy in the right place. grobian, what do you think?
Comment 7 Fabian Groffen gentoo-dev 2009-09-25 14:02:49 UTC
I'm not the maintainer of this package, so get the right people on this bug here
Comment 8 Markus Duft (RETIRED) gentoo-dev 2009-09-25 14:28:15 UTC
CC'd gnome herd. what do you guys think about a numpy USE flag?
Comment 9 Romain Perier (RETIRED) gentoo-dev 2009-09-25 19:51:23 UTC
huh ? numpy hard masked ? not found in profiles/package.mask or in profiles/prefix/package.mask...

Comment 10 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-09-25 20:47:35 UTC
(In reply to comment #9)
> huh ? numpy hard masked ? not found in profiles/package.mask or in
> profiles/prefix/package.mask...
> 

%% grep -r numpy prefix/
prefix/windows/interix/3.5/package.mask:dev-python/numpy

The real issue is that numpy is optional according to upstream. Since numpy has issues on interix, the Prefix team kindly requests a way to disable this dep such that pygtk can be installed on interix (which is proven to work already).
Comment 11 Romain Perier (RETIRED) gentoo-dev 2009-09-26 08:30:36 UTC
(In reply to comment #10)
> (In reply to comment #9)
> > huh ? numpy hard masked ? not found in profiles/package.mask or in
> > profiles/prefix/package.mask...
> > 
> 
> %% grep -r numpy prefix/
> prefix/windows/interix/3.5/package.mask:dev-python/numpy
> 
> The real issue is that numpy is optional according to upstream. Since numpy has
> issues on interix, the Prefix team kindly requests a way to disable this dep
> such that pygtk can be installed on interix (which is proven to work already).
> 

In this case a USE-flag would be probably nice, imho.
@gnome: What do you think ?
Comment 12 Romain Perier (RETIRED) gentoo-dev 2009-09-26 08:31:17 UTC
CCing python herd in order to have their opinion
Comment 13 Dirkjan Ochtman gentoo-dev 2009-09-26 11:20:56 UTC
Yeah, a use flag seems like a good idea.
Comment 14 Gilles Dartiguelongue gentoo-dev 2009-09-26 11:43:27 UTC
I seem to remember that pygtk upstream strongly recommends to enable numpy (and before that numeric) dependency. Can somebody tell me it won't have _any_ downside ? I not thrilled about adding a use flag for one arch and then having to figure out new kind of problems when users disable numpy support.
Comment 15 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2009-09-26 13:34:37 UTC
(In reply to comment #14)
> I seem to remember that pygtk upstream strongly recommends to enable numpy
> (and before that numeric) dependency.

IUSE="+numpy" would partially help.
Comment 16 Fabian Groffen gentoo-dev 2009-09-26 13:37:59 UTC
# Markus Duft <mduft@gentoo.org> 31 Jul 2009
# Does not build on Interix 3.5 because some functions
# conflict with system math.h header.
dev-python/numpy

can we just hack around this somehow and be done with the entire problem?
Comment 17 Markus Duft (RETIRED) gentoo-dev 2009-09-28 09:55:49 UTC
maybe numpy can be fixed to build on 3.5, but i simply don't have the time to do it ATM. Sergey, if you want to, you can give it a try.

otherwise i think the USE (+numpy) flag is still the best way to go.

(In reply to comment #16)
> 
> can we just hack around this somehow and be done with the entire problem?
> 

sure, something like

[[ ${CHOST} == *-interix3* ]] && myconf=--disable-numpy

? :) that would be possible too, and it would not imply any changes for anybody, but just make the upgrade problem go away.

is there still support for numeric? maybe something like enabling it on interix instead of numpy (but only for interix3! how could such a depend string look - without having both numpy and numeric in the depencies for all of them...)
Comment 18 Sergey Kishchenko 2009-09-28 10:01:00 UTC
>maybe numpy can be fixed to build on 3.5, but i simply don't have the time to
>do it ATM. Sergey, if you want to, you can give it a try.
>otherwise i think the USE (+numpy) flag is still the best way to go.

I think that USE flag should be there anyway, but I'll try to fix numpy build on 3.5 in a free time.
Comment 19 Fabian Groffen gentoo-dev 2011-12-15 18:16:27 UTC
how's the current status here?